%define version   0.5.0
%define release   %mkrel 1

%define scim_version         1.4.5
%define tomoe_version        0.5.0
%define libtomoe_gtk_version 0.5.0

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:      scim-tomoe
Summary:   SCIM module for tomoe
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL
URL:       http://sourceforge.jp/projects/scim-imengine/
Source0:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        %{libname} = %{version}
Requires:        scim >= %{scim_version}
Requires:        tomoe >= %{tomoe_version}
Requires:        libtomoe-gtk >= %{libtomoe_gtk_version}
BuildRequires:   scim-devel >= %{scim_version}
BuildRequires:   libtomoe-devel >= %{tomoe_version}
BuildRequires:   libtomoe-gtk-devel >= %{libtomoe_gtk_version}
BuildRequires:   automake1.9

%description
SCIM module for tomoe.


%package -n %{libname}
Summary:    Scim-tomoe library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-tomoe library.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
if [[ ! -x configure ]]; then
# (cjw) do not use bootstrap script directly - it runs "aclocal" and "automake"
  libtoolize --copy --force --automake 
  aclocal-1.9 -I m4 --force
  autoheader
  automake-1.9 --add-missing --copy --include-deps
  autoconf
fi

%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*/Helper/*.la

# fix install dir
mv %{buildroot}/%{_libdir}/scim-1.0/1.4.0/1.4.0/Helper/ \
   %{buildroot}/%{_libdir}/scim-1.0/1.4.0/
rm -rf %{buildroot}/%{_libdir}/scim-1.0/1.4.0/1.4.0/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/scim-tomoe
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/*/Helper/*.so


%changelog
* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-1mdv2007.1
+ Revision: 106847
- Import scim-tomoe




* Fri Jan 05 2007 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.0-1mdv2007.1
- new release

* Fri Dec 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdv2007.1
- new release

* Wed Nov 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdv2007.1
- new release

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-2mdk
- fix requires being "libtomoe-gtk-devel >= %%{libtomoe-gtk_version}"

* Sat Oct 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release
- add requires libtomoe-gtk

* Wed Sep 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-1mdk
- new release

* Fri Aug 12 2005 Nicolas l�ureuil <neoclust@mandriva.org> 0.0.1-0.20050812.1mdk
- first spec for Mandriva Linux from UTUMI Hirosi <utuhiro78@yahoo.co.jp>
